#Module-Specific definitions
%define snap 2004083000
%define mod_version 1.3.6
%define release 0.%{snap}.1mdk
%define mod_name mod_xslt2
%define mod_conf 25_%{mod_name}.conf
%define mod_so mod_xslt.so
%define sourcename %{mod_name}

#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}
%{expand:%%global ap_version %(%{apxs} -q ap_version)}

# Standard Module Definitions
%define name %{ap_name}-%{mod_name}
%define version %{ap_version}_%{mod_version}

#Standard ADVX requires
Prereq:		%{ap_name} = %{ap_version}
Prereq:		%{ap_name}-conf
BuildPreReq:	ADVX-build >= 9.2
BuildRequires:	%{ap_name}-devel >= 2.0.44

%define	major	0
%define libname	%mklibname modxslt %{major}

Summary:	Mod_xslt is a DSO module for the %{ap_name} Web server.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Servers
License:	GPL
URL:		http://www.mod-xslt2.com/
Source0:	modxslt-%{snap}.tar.bz2
Source1:	%{mod_conf}.bz2
Patch0:		modxslt-2004072600-no_root_check.diff.bz2
BuildRequires:	autoconf2.5
BuildRequires:	automake1.7
BuildRequires:	libxml2-devel
BuildRequires:	libxslt-devel
BuildRequires:	pcre-devel
BuildRequires:	pkgconfig
Conflicts:	%{ap_name}-mod_xslt
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
mod-xslt2 is a server side module able to apply stylesheets to xml
data on the fly. mod-xslt2 as it is today is almost a complete
rewrite of the original mod-xslt2 written by Philipp Dunkel, with
many new features added and a complete code clean up. mod-xslt2 is
Free Software, as it will always be, it is released under the
terms of the GPL and anybody is welcome to join its development. 

%package -n	%{libname}
Summary:	Shared libraries for %{name}
Group:          System/Libraries
Version:	%{mod_version}

%description -n	%{libname}
Shared libraries for %{name}

%package -n	%{libname}-devel
Summary:	Development library and header files for the %{name} library
Group:		Development/C
Version:	%{mod_version}
Requires:	%{libname} = %{mod_version}-%{release}
Provides:	%{name}-devel libmodxslt-devel
Obsoletes:	%{name}-devel libmodxslt-devel

%description -n	%{libname}-devel
This package contains the static %{libname} library and its header
files.

%prep

%setup -q -n modxslt-%{snap}
%patch0 -p1

%build
export WANT_AUTOCONF_2_5=1
libtoolize --copy --force; aclocal-1.7; autoconf

%configure2_5x \
    --with-sapi=apache2 \
    --with-apxs=%{apxs}

%make


%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{ap_libexecdir}

%makeinstall_std

mv %{buildroot}%{ap_libexecdir} %{buildroot}%{ap_extralibs}

# re-define version, rpm is so stupid...
%define version %{ap_version}_%{mod_version}

%ADVXinstconf %{SOURCE1} %{mod_conf}
%ADVXinstdoc %{name}-%{version}

# do we need these?
rm -f %{buildroot}%{_bindir}/modxslt-parse
rm -f %{buildroot}%{_bindir}/modxslt-perror

# cleanup docs
find doc -name "Makefile*" | xargs rm -f

%post
%ADVXpost

%postun
%ADVXpost

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CREDITS LICENSE README
%doc doc/manual/manual doc/xslt/*
%config(noreplace) %{ap_confd}/%{mod_conf}
%attr(0755,root,root) %{ap_extralibs}/%{mod_so}
%{ap_webdoc}/*

%files -n %{libname}
%defattr(-,root,root)
%attr(0755,root,root) %{_libdir}/libmodxslt*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc TODO
%doc doc/dev/*
%{_bindir}/modxslt-config
%attr(0755,root,root) %{_libdir}/*.a
%attr(0644,root,root) %{_libdir}/*.la
%attr(0755,root,root) %{_libdir}/*.so
%{_includedir}/modxslt*

%changelog
* Mon Aug 30 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_1.3.6-0.2004083000.1mdk
- 2004083000

* Mon Aug 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_1.3.5-0.2004080100.1mdk
- 2004080100

* Wed Jul 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_1.3.4-0.2004072600.1mdk
- initial mandrake package
- added P0
